> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gladeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Amazon Product Details

> Get normalized Amazon product details by ASIN, GTIN, or product URL.

Pass exactly one of `asin`, `gtin`, or `url`.


## OpenAPI

````yaml GET /api/amazon/product
openapi: 3.1.0
info:
  title: Glade Amazon API
  version: 1.0.0
  description: >-
    Normalized Amazon product, search, seller, category, offer, review, deal,
    and estimate data.
servers:
  - url: https://gladeapi.com
security: []
paths:
  /api/amazon/product:
    get:
      summary: Product details
      description: >-
        Get normalized product details using exactly one identifier: ASIN, URL,
        or GTIN.
      operationId: get_AmazonProduct
      parameters:
        - name: domain
          in: query
          required: false
          description: Amazon marketplace code.
          schema:
            type: string
            enum:
              - US
              - UK
              - CA
              - DE
              - FR
              - IT
              - ES
              - AU
              - IN
              - MX
              - BR
              - JP
              - PL
            default: US
        - name: asin
          in: query
          required: false
          description: A 10-character Amazon Standard Identification Number.
          schema:
            type: string
            pattern: ^[A-Za-z0-9]{10}$
        - name: url
          in: query
          required: false
          description: A canonical HTTPS product URL on a supported Amazon host.
          schema:
            type: string
            format: uri
        - name: gtin
          in: query
          required: false
          description: A valid ISBN-10, UPC, EAN, or GTIN value.
          schema:
            type: string
      responses:
        '200':
          description: Successful Amazon data response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - amazonProduct
                    properties:
                      amazonProduct:
                        $schema: http://json-schema.org/draft-07/schema#
                        type: object
                        properties:
                          title:
                            type: string
                            minLength: 1
                          subtitle:
                            type: string
                          brand:
                            type: string
                          url:
                            type: string
                          asin:
                            type: string
                            pattern: ^[A-Z0-9]{10}$
                          isPrime:
                            type: boolean
                          isNew:
                            type: boolean
                          isInStock:
                            type: boolean
                          price:
                            type: object
                            properties:
                              symbol:
                                type: string
                              value:
                                type: number
                              currency:
                                type: string
                                minLength: 3
                                maxLength: 3
                              display:
                                type: string
                            additionalProperties: false
                          mainImageUrl:
                            type: string
                          imageUrls:
                            type: array
                            items:
                              type: string
                          rating:
                            type: number
                          ratingsTotal:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          featureBullets:
                            type: array
                            items:
                              type: string
                          technicalSpecifications:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                value:
                                  type: string
                              additionalProperties: false
                          categories:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                url:
                                  type: string
                                breadcrumbPath:
                                  type: string
                              required:
                                - id
                                - name
                                - url
                                - breadcrumbPath
                              additionalProperties: false
                          coupon:
                            anyOf:
                              - type: object
                                properties:
                                  label:
                                    type: string
                                required:
                                  - label
                                additionalProperties: false
                              - type: 'null'
                          seller:
                            anyOf:
                              - type: object
                                properties:
                                  sellerId:
                                    type: string
                                  name:
                                    type: string
                                additionalProperties: false
                              - type: 'null'
                        required:
                          - title
                          - asin
                        additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '402':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
        '504':
          $ref: '#/components/responses/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  responses:
    Error:
      description: Standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - success
        - errors
      properties:
        success:
          const: false
        errors:
          type: array
          items:
            type: object
            required:
              - code
              - message
            properties:
              code:
                type: integer
              message:
                type: string
              path:
                type: array
                items:
                  type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.